#
# spec file for package python-click-threading
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-click-threading
Version:        0.5.0
Release:        1.10
Summary:        Multithreaded Click apps made easy
License:        MIT
URL:            https://github.com/click-contrib/click-threading
Source:         https://files.pythonhosted.org/packages/source/c/click-threading/click-threading-%{version}.tar.gz
BuildRequires:  %{python_module click >= 5.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click >= 5.0
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-futures
%endif
%ifpython2
Requires:       python-futures
%endif
%python_subpackages

%description
Utilities for multithreading in click <http://click.pocoo.org/>.
*This is rather experimental.  See tests for usage for now.*

%prep
%setup -q -n click-threading-%{version}
rm -rf click_threading.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest tests

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Jul 28 2021 Markéta Machová <mmachova@suse.com>
- Update to 0.5.0
  * Fix monkey-patching of functions with annotations
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Thu Sep 19 2019 John Vandenberg <jayvdb@gmail.com>
- Add LANG to %%check to fix build on Leap
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Enable tests
- Update to 0.4.4:
  * no upstream changelog provided
- Add missing deps
* Fri Jun 30 2017 aloisio@gmx.com
- Update to version 0.4.3
- Converted to single-spec
* Sun Jul 17 2016 arun@gmx.de
- update to version 0.4.0:
  * Rewrite using Future from the stdlib
- changes from version 0.3.0:
  * Directly execute if on main thread
- changes from version 0.2.0:
  * Put UI worker onto click context
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 sleep_walker@opensuse.org
- added comment about test not being present
* Tue Jan 19 2016 sleep_walker@opensuse.org
- polish spec file (not only) with spec-cleaner
* Tue Jan 19 2016 sleep_walker@opensuse.org
- let there be python3-click-threading!
